indumentariaonline/urls.py
from django.contrib import admin
from django.urls import path, include


urlpatterns = [
    path("shop/", include("shop.urls")),
    path("admin/", admin.site.urls)
]

shop/urls.py
from django.urls import path

from . import views


urlpatterns = [
    path("", views.index, name="index"),
    path("contacto", views.contacto, name="contacto")
]

shop/models.py
from django.db import models


class Remera(models.Model):
    marca = models.CharField("Marca", max_length=128)
    TALLES = (
        (1, "XS"),
        (2, "S"),
        (3, "M"),
        (4, "L"),
        (5, "XL"),
        (6, "XXL")
    )
    talle = models.PositiveSmallIntegerField("Talle", choices=TALLES)
    color = models.CharField("Color", max_length=128)
    lisa = models.BooleanField("Lisa")
    GENEROS = (
        (1, "Hombre"),
        (2, "Mujer"),
        (3, "Unisex")
    )
    genero = models.PositiveSmallIntegerField("Género", choices=GENEROS)

    def __str__(self):
        return f"{self.marca} {self.color} {self.get_talle_display()}"

shop/views.py
from django.shortcuts import render

from .models import Remera


def index(request):
    remeras = Remera.objects.all()
    ctx = {"remeras": remeras}
    return render(request, "shop/index.html", ctx)


def contacto(request):
    return render(request, "shop/contacto.html")

shop/templates/shop/base.html
{% load static %}
<html>
  <head>
    <title>
      {% block title %}{% endblock %} - Indumentaria Online
    </title>
  </head>
  <a href="{% url 'index' %}">
    <img src="{% static 'shop/logo.png' %}" />
  </a>
  {% block content %}
  {% endblock %}
</html>

shop/templates/shop/contacto.html
{% extends "shop/base.html" %}

{% block title %}Contacto{% endblock %}

{% block content %}
<h1>Contacto</h1>
<p><strong>Dirección</strong>: Av. Le Vayer 1234</p>
<p><strong>Teléfono</strong>: +541157614322</p>
<p><strong>Email</strong>: contacto@indumentaria-online.com
<p>
  <a href="{% url 'index' %}">Volver a inicio</a>
<p>
{% endblock %}

shop/templates/shop/index.html
{% extends "shop/base.html" %}

{% block title %}Inicio{% endblock %}

{% block content %}
<h1>¡Bienvenido a nuestro sitio!</h1>
<h3>Catálogo</h3>
<table>
  <thead>
    <tr>
      <th>Marca</th>
      <th>Talle</th>
      <th>Color</th>
      <th>Lisa</th>
      <th>Género</th>
    </tr>
  </thead>
  {% for remera in remeras %}
    <tr>
      <td>{{ remera.marca }}</td>
      <td>{{ remera.get_talle_display }}</td>
      <td>{{ remera.color }}</td>
      <td>
        {% if remera.lisa %}
          Sí
        {% else %}
          No
        {% endif %}
      </td>
      <td>{{ remera.get_genero_display }}</td>
    </tr>
  {% endfor %}
</table>
<p>
  <a href="{% url 'contacto' %}">Ir a contacto</a>
</p>
{% endblock %}